Bug 235593 - graphics/p5-GD: unnecessary dependency on devel/p5-ExtUtils-PkgConfig and thus devel/pkgconf
Summary: graphics/p5-GD: unnecessary dependency on devel/p5-ExtUtils-PkgConfig and thu...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-08 09:05 UTC by Helge Oldach
Modified: 2019-02-18 21:07 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2019-02-08 09:05:14 UTC
Makefile has:

BUILD_DEPENDS=  ${RUN_DEPENDS}
LIB_DEPENDS=    libgd.so:graphics/gd
RUN_DEPENDS=    p5-ExtUtils-PkgConfig>=0:devel/p5-ExtUtils-PkgConfig

but actually there is only a BUILD dependency on devel/p5-ExtUtils-PkgConfig and not a RUN dependency. The snippet above can thus be simplified to:

LIB_DEPENDS=    libgd.so:graphics/gd
BUILD_DEPENDS=  p5-ExtUtils-PkgConfig>=0:devel/p5-ExtUtils-PkgConfig
Comment 1 Koichiro Iwao freebsd_committer 2019-02-17 15:33:29 UTC
ENOTIME
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-02-18 21:07:07 UTC
Committed. Thanks!
Comment 3 commit-hook freebsd_committer 2019-02-18 21:07:14 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Feb 18 21:06:25 UTC 2019
New revision: 493324
URL: https://svnweb.freebsd.org/changeset/ports/493324

Log:
  Remove unnecessary RUN_DEPENDS

  - Bump PORTREVISION for dependency change

  PR:		235593
  Submitted by:	Helge Oldach <freebsd@oldach.net>

Changes:
  head/graphics/p5-GD/Makefile